# Revel Framework

[![Build Status](https://secure.travis-ci.org/revel/revel.svg?branch=master)](http://travis-ci.org/revel/revel)  [![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)

A high productivity, full-stack web framework for the [Go language](http://www.golang.org).

Current Version: 0.14.0 (2017-03-24)

**As of Revel 0.13.0, Go 1.4+ is required.**

## Quick Start

Install revel framework:

	go get -u github.com/revel/cmd/revel

Create a new app and run it:

	revel new github.com/myaccount/my-app
	revel run github.com/myaccount/my-app

Open http://localhost:9000 in your browser and you should see "It works!"


## Community

* [Gitter](https://gitter.im/revel/community)
* [StackOverflow](http://stackoverflow.com/questions/tagged/revel)
* [Google Groups](https://groups.google.com/forum/#!forum/revel-framework)

## Learn More

* [Manual, Samples, Godocs, etc](http://revel.github.io)
* [Apps using Revel](https://github.com/revel/revel/wiki/Apps-in-the-Wild)
* [Articles Featuring Revel](https://github.com/revel/revel/wiki/Articles)

## Contributing

* [Contributing Code Guidelines](https://github.com/revel/revel/blob/master/CONTRIBUTING.md)
* [Revel Contributors](https://github.com/revel/revel/graphs/contributors)


## Gratitude

First and foremost, we'd like to thank the growing community of developers who enjoy using and contributing to Revel. Your patience, feedback, and moral support are vital to the ongoing development of Revel!

Finally, we'd like to thank the professional organizations that have supported the development of Revel:
* [Looking Glass](https://www.lookingglasscyber.com/)


## Announcements

View the [v0.14.0 release notes](https://github.com/revel/revel/releases/tag/v0.14.0)
for all of the relevant changes.

We are working on increasing the speed and quality of our releases. Your feedback has never been so valuable, please share your thoughts with us and help shape Revel!
